(function ($) {
    $.field_orderstatus = function (element, options) {
        var defaults = {
        }
        var plugin = this;
        plugin.settings = {}
        var $element = $(element), 
            element = element;
        plugin.init = function () {
            plugin.settings = $.extend({}, defaults, options);
            $element.find('.list-orderstatus').select2();
        };
        plugin.example_function = function () {
        };
        plugin.init();
    }
    
    $.fn.field_orderstatus = function (options) {
        
        return this.each(function () {
            
            if (undefined == $(this).data('field_orderstatus')) {
                var plugin = new $.field_orderstatus(this, options);
                $(this).data('field_orderstatus', plugin);
            }
        });
    }
})(jQuery);